1curl "https://$SHORTCODE.api.commercecloud.salesforce.com/shopper/auth-admin/v1/tenants/$TENANT/idps/salesforce" \
2 --request 'PUT' \
3 --header "Authorization: Bearer $TOKEN" \
4 --header 'Content-Type: application/json' \
5 --data-raw '{
6 "name": "salesforce",
7 "clientId": "'$CONNECTED_APP_CONSUMER_ID'",
8 "clientSecret": "'$CONNECTED_APP_CONSUMER_SECRET'",
9 "authUrl": "https://login.salesforce.com/services/oauth2/authorize",
10 "tokenUrl": "https://login.salesforce.com/services/oauth2/token",
11 "tokenInfoUrl": "https://login.salesforce.com/services/oauth2/introspect",
12 "userInfoUrl": "https://login.salesforce.com/services/oauth2/userinfo",
13 "redirectUrl": "https://"'$SHORTCODE'".api.commercecloud.salesforce.com/shopper/auth/v1/idp/callback/salesforce",
14 "scopes": ["openid", "email", "profile"],
15 "preferenceValue": false
16}'